# Import class Payplug #


```
#!json


{
    "repositories": [
        {
            "type": "composer",
            "url":  "http://packages.bydedi.com"
        }
    ],
    "require": {
        "bydedi/payplug": "dev-master"
    }
}
```


#Execution#
Ajouter / Completer le fichier composer.json a la racine du projet.

Executer la commande suivante pour importer la lib

```
#!shell

composer update
```


Initialiser Payplug
Rensigner la clé publique et la clé privée de Payplug à l'aide de PayplugConfig

```
#!php

$config = PayplugConfig([
            'private_key' => 'xxxxxxxxxxxxxxxxxxxxxxxxxxxx',
            'public_key' => 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
]);

$payplug = Payplug($config);
```

Il n'existe pas de configuration supplémentaire.

#string request(int $amount, [string $currency = 'EUR'])#

Cette méthode permet de récupérer les données nécessaires à payplug.js.

$amount est le montant de la transaction en <b>centimes</b> (47.04€ => 4704).
Ce nombre est compris entre Payplug::AMOUNT_RANGE[0] et Payplug::AMOUNT_RANGE[1].

$currency est l'identifiant ISO 4217 de la monaie et doit être contenu dans Payplug::SUPPORTED_CURRENCY.


La string retournée est un objet Json de la forme :

```
#!js

var payplugConfig = {
    "pk":"xxxxxxxxxxxxxxxxxxxxxx",
    "amount":"1000",
    "currency":"EUR"
};

Payplug.setPublishableKey(payplugConfig.pk);
Payplug.card.createToken(form, payplugResponseHandler, payplugConfig);
```

<a href="https://docs.payplug.com/api/payplugjs.html" target="_blank">Documentation payplug.js</a>

# mixed response(int $amount, array $customerInfo, int $orderId, string $payplugToken, [bool $saveCard = false, [string $cardId = null, [string $currency = 'EUR']]])#

Cette méthode va effectuer le paiement après la génération du token par payplug.js et appeler les méthodes paiementOk/paiementKo de la classe Tpe.

$amount est le montant de la transaction en <b>centimes</b> (47.04€ => 4704).
Ce nombre est compris entre Payplug::AMOUNT_RANGE[0] et Payplug::AMOUNT_RANGE[1].

$customerInfo est un tableau dont on attend au moins les clés 'first_name', 'last_name' et 'email'.

$orderId est l'id de la transaction tpe qui sera validé ou non.

